Skip to content
Skip to main content
GET
/v3/templates

Return all templates

Returns a list of application-level templates.

NYLAS API KEY

Parameters

Query parameters

limitinteger

The maximum number of objects to return. See Pagination for more information.

Default: 50
page_tokenstring

An identifier that specifies which page of data to return. You can get this value from the next_cursor response field. See Pagination for more information.

Responses

request_id*string

The ID of the request.

Example: "3821703913-a3548169-0de0-49de-9801-37d972b51766"
data*array<object>
Example: [{"id":"template_123","grant_id":"grant_456","app_id":null,"engine":"mustache","name":"Welcome Email","subject":"Welcome {{user.name}}!","body":"<p>Hello {{user.name}}, welcome to our service!</p><p>We're excited to have you on board.</p>","created_at":1640995200,"updated_at":1640995200,"object":"template"},{"id":"template_456","grant_id":"grant_456","app_id":null,"engine":"handlebars","name":"Password Reset","subject":"Reset your password - {{company.name}}","body":"<h1>Password Reset Request</h1><p>Hi {{user.name}},</p><p>Click <a href='{{reset_link}}'>here</a> to reset your password.</p><p>This link expires in {{expiry_hours}} hours.</p>","created_at":1640995300,"updated_at":1640995400,"object":"template"},{"id":"template_789","grant_id":"grant_456","app_id":null,"engine":"twig","name":"Order Confirmation","subject":"Order #{{order.number}} confirmed","body":"<h2>Thank you for your order!</h2><p>Order #{{order.number}} has been confirmed.</p><ul>{% for item in order.items %}<li>{{item.name}} - ${{item.price}}</li>{% endfor %}</ul><p>Total: ${{order.total}}</p>","created_at":1640995500,"updated_at":1640995500,"object":"template"}]
next_cursor*string

A cursor pointing to the next page of results for the request.

Example: "eyJjdXJzb3IiOiJ0ZW1wbGF0ZV8xMjMifQ=="
GEThttps://api.us.nylas.com/v3/templates?limit=50

Find your API key in the Nylas Dashboard under API Keys in your application settings.

limitinteger

The maximum number of objects to return. See Pagination for more information.

page_tokenstring

An identifier that specifies which page of data to return. You can get this value from the next_cursor response field. See Pagination for more information.